Passer au contenu principal
GET
/
media-bridge
/
2026-03
/
{appId}
/
settings
/
object-definitions
/
{mediaType}
Obtenir les types d'objets pour un média pris en charge
curl --request GET \
  --url https://api.hubapi.com/media-bridge/2026-03/{appId}/settings/object-definitions/{mediaType} \
  --header 'Authorization: Bearer <token>'
{
  "objectTypeId": "<string>",
  "objectTypeName": "<string>",
  "properties": [
    {
      "objectTypeId": "<string>",
      "property": {
        "allowedObjectTypes": [
          {
            "innerId": 123,
            "metaTypeId": 123
          }
        ],
        "calculated": true,
        "canArchive": true,
        "canRestore": true,
        "createdAt": 123,
        "createdUserId": 123,
        "currencyPropertyName": "<string>",
        "deleted": true,
        "description": "<string>",
        "displayOrder": 123,
        "enforceMultivalueUniqueness": true,
        "externalOptions": true,
        "externalOptionsReferenceType": "<string>",
        "favorited": true,
        "favoritedOrder": 123,
        "fieldType": "<string>",
        "formField": true,
        "fromUserId": 123,
        "groupName": "<string>",
        "hasUniqueValue": true,
        "hidden": false,
        "hubspotDefined": true,
        "isCustomizedDefault": true,
        "isMultiValued": true,
        "isPartial": true,
        "label": "<string>",
        "mutableDefinitionNotDeletable": true,
        "name": "<string>",
        "options": [
          {
            "description": "<string>",
            "displayOrder": 123,
            "doubleData": 123,
            "hidden": true,
            "label": "<string>",
            "readOnly": true,
            "value": "<string>"
          }
        ],
        "optionsAreMutable": true,
        "owningAppId": 123,
        "portalId": 123,
        "readOnlyDefinition": true,
        "readOnlyValue": true,
        "searchableInGlobalSearch": true,
        "sensitiveDataCategories": [
          "<string>"
        ],
        "showCurrencySymbol": true,
        "updatedAt": 123
      },
      "calculationExpression": {
        "operator": "CONSTANT_BOOLEAN",
        "propertyName": "<string>",
        "value": true
      },
      "calculationFormula": "<string>",
      "definitionSource": {
        "name": "<string>"
      },
      "extensionData": {
        "extensionStatusMap": {},
        "tags": [
          "<string>"
        ],
        "caseChangeTestExtensionData": {},
        "optionDecoratorsExtensionData": {
          "optionDecorators": {}
        },
        "requiredPropertiesExtensionData": {
          "isRequiredProperty": true
        },
        "softRequiredPropertiesExtensionData": {
          "isSoftRequiredProperty": true
        }
      },
      "externalOptionsMetaData": {
        "filter": {
          "includeHelpdeskRoutableTeamsOnly": true,
          "includeUnconfirmedUsers": true,
          "listProcessingTypes": [
            "<string>"
          ],
          "pipelineIds": [
            "<string>"
          ]
        },
        "relatedObjectTypeId": "<string>"
      },
      "fulcrumPortalId": 123,
      "fulcrumTimestamp": 123,
      "janusGroup": "<string>",
      "lookupAssociationSpec": {
        "associationSpec": {
          "associationTypeId": 123
        },
        "maxToObjectIds": 123,
        "toObjectTypeId": "<string>"
      },
      "permission": {
        "accessLevel": "<string>"
      },
      "propertyDefinitionSource": {
        "name": "<string>"
      },
      "propertyRequirements": {
        "gates": [
          "<string>"
        ],
        "scopeNames": [
          "<string>"
        ],
        "settings": [
          "<string>"
        ]
      },
      "rollupExpression": {
        "associationTypes": [
          {
            "associationTypeId": 123
          }
        ],
        "sourceObjectTypeId": "<string>",
        "sourcePropertyName": "<string>",
        "conditionalExpression": {
          "operator": "CONSTANT_BOOLEAN",
          "propertyName": "<string>",
          "value": true
        },
        "conditionalFormula": "<string>",
        "emptyRollupValue": "<string>",
        "sourceCompareByPropertyName": "<string>"
      }
    }
  ],
  "propertyGroups": [
    {
      "displayName": "<string>",
      "displayOrder": 123,
      "fulcrumPortalId": 123,
      "fulcrumTimestamp": 123,
      "hubspotDefined": true,
      "name": "<string>"
    }
  ],
  "schema": {
    "allowsSensitiveProperties": true,
    "createDatePropertyName": "<string>",
    "defaultSearchPropertyNames": [
      "<string>"
    ],
    "deleted": true,
    "fullyQualifiedName": "<string>",
    "hasCustomProperties": true,
    "hasDefaultProperties": true,
    "hasExternalObjectIds": true,
    "hasOwners": true,
    "hasPipelines": true,
    "id": 123,
    "indexedForFiltersAndReports": true,
    "lastModifiedPropertyName": "<string>",
    "metaTypeId": 123,
    "name": "<string>",
    "objectTypeId": "<string>",
    "objectTypeIdString": "<string>",
    "pipelinePropertyName": "<string>",
    "pipelineStagePropertyName": "<string>",
    "requiredProperties": [
      "<string>"
    ],
    "restorable": true,
    "scopeMappings": [
      {
        "scopeName": "<string>"
      }
    ],
    "secondaryDisplayLabelPropertyNames": [
      "<string>"
    ],
    "accessScopeName": "<string>",
    "createdAt": 123,
    "description": "<string>",
    "integrationAppId": 123,
    "janusGroup": "<string>",
    "ownerPortalId": 123,
    "pipelineCloseDatePropertyName": "<string>",
    "pipelineTimeToClosePropertyName": "<string>",
    "pluralForm": "<string>",
    "primaryDisplayLabelPropertyName": "<string>",
    "readScopeName": "<string>",
    "singularForm": "<string>",
    "visibilities": [],
    "writeScopeName": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

appId
integer<int32>
requis

L'appId de l'application Media Bridge. Il est possible d'avoir plusieurs applications dans votre compte développeur qui utilisent le Media Bridge.

mediaType
enum<string>
requis

Le type de média pour lequel vous souhaitez obtenir les types d'objets.

Options disponibles:
AUDIO,
DOCUMENT,
IMAGE,
OTHER,
VIDEO

Paramètres de requête

includeFullDefinition
boolean

Inclure la définition complète dans la réponse.

Réponse

successful operation

objectTypeId
string
requis
objectTypeName
string
requis
properties
object[]
requis
propertyGroups
object[]
requis
schema
object
Last modified on April 13, 2026